%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

Name:		PyMca
Version:	4.5.0
Release:	2%{?dist}
Summary:	GUI for multi-channel analyser spectra visualization and analysis
Group:		Applications/Engineering
License:	GPLv2+
URL:		http://pymca.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/pymca/pymca%{version}-src.tgz
# Desktop file
Source1:	PyMca.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel

# Needed for normal operations
BuildRequires:	numpy
BuildRequires:	PyQt4
BuildRequires:	PyQwt
Requires:	numpy
Requires:	PyQt4
Requires:	PyQwt

%description
PyMCA provides a graphical interface for multi-channel analyser spectra
visualization and analysis. PyMca can display spectra from a file or directly
from SPEC during acquisitions.

%prep
%setup -q -n %{name}%{version}
# Fix perms
chmod 644 LICENSE.GPL README
find -name *.c -exec chmod 644 {} \;
find -name *.h -exec chmod 644 {} \;

# Fix shebang on pymcapostbatch
sed "s|#!python|#!%{_bindir}/python|g" -i PyMca/scripts/pymcapostbatch


%build
# setup.py asks for license approval
echo yes | python setup.py build 

%install
rm -rf %{buildroot}
# setup.py asks for license approval
echo yes | python setup.py install -O1 --skip-build --root %{buildroot}

# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Get rid of mention of buildroot in files in %{_bindir}
for bin in %{buildroot}%{_bindir}/*; do
 sed 's|%{buildroot}||g' $bin > $bin.new && \
 touch -r $bin $bin.new && \
 mv $bin.new $bin && \
 chmod 755 $bin
done

# Get rid of spurious executable rights
find %{buildroot}%{python_sitearch}/PyMca/ -type f -exec chmod 644 {} \;
find %{buildroot}%{python_sitearch}/PyMca/ -name *.so -exec chmod 755 {} \;

# Get rid of /usr/bin/env in libraries
for lib in %{buildroot}%{python_sitearch}/PyMca/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.GPL README
%{python_sitearch}/PyMca/
%{python_sitearch}/PyMca-%{version}-py*.egg-info
%{_bindir}/edfviewer
%{_bindir}/elementsinfo
%{_bindir}/mca2edf
%{_bindir}/peakidentifier
%{_bindir}/pymca*
%{_bindir}/rgbcorrelator
%{_datadir}/applications/PyMca.desktop

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.5.0-1
- Update to 4.5.0.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.1-5.p1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.4.1-4.p1
- Fix binary permissions (BZ #721149).

* Fri Feb 25 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.4.1-3.p1
- Update to 4.4.1p1.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 10 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.4.1-1
- Update to 4.4.1.

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jun 19 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.4.0-1
- Update to 4.4.0.

* Fri Oct 30 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-4
- Keep time stamps also on binfiles.

* Fri Oct 30 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-3
- Added BR: python-devel.
- Added desktop file.

* Fri Oct 30 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-2
- Keep time stamps during sed of libraries.
- Changed BR: python-setuptools-devel to python-setuptools-devel.

* Thu Oct 08 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-1
- First release.
